Bug 91112 - Kernel upgrade 2.4.20-13.7 kills pcmcia
Summary: Kernel upgrade 2.4.20-13.7 kills pcmcia
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-18 22:45 UTC by Jeffrey Powell
Modified: 2007-04-18 16:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 10:16:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
correction for /etc/init.d/pcmcia (352 bytes, patch)
2003-05-19 12:53 UTC, Jean-Luc Richier
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:187 normal SHIPPED_LIVE : Updated 2.4 kernel fixes vulnerabilities and driver bugs 2003-05-22 04:00:00 UTC

Description Jeffrey Powell 2003-05-18 22:45:55 UTC
Recent upgrade to kernel 2.4.20-13.7 rendered PCMCIA inactive. Xircom RBE-100
ethernet cards don't start. Reboot with 2.4.20-13.7 and it works again.

Comment 1 Jeffrey Powell 2003-05-18 22:48:28 UTC
Sorry clipper pasted wrong good version of the kernel 

2.4.18-27.7.x works ok

Comment 2 Jean-Luc Richier 2003-05-19 12:53:27 UTC
Created attachment 91785 [details]
correction for /etc/init.d/pcmcia

The reason is that pcmia modules have moved from /lib/module/*/pcmcia to
/lib/module/*/kernel/drivers/pcmcia, but /etc/init.d/pcmcia (in package
kernel-pcmcia-cs) has not beenupdated to reflect thiskernel-pcmcia-cs
--> solution
Replace /etc/init.d/pcmcia from the one in Redhat 9 release, or apply the
attached patch
PS: the bug is certainly in all Redhat version except the 9 one.

Comment 3 Need Real Name 2003-05-22 16:34:28 UTC
All the PCMCIA cards are recognized as "anonymous memory".
PCMCIA does not work at all with 2.4.20-13.7.
It is not just a matter of init script or modules location.

Comment 4 Jeffrey Powell 2003-05-22 22:22:34 UTC
The patch worked well. I think we can close this bug.

Thank you.

Comment 5 Arjan van de Ven 2003-06-03 10:16:17 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html



Note You need to log in before you can comment on or make changes to this bug.